#pragma hdrstop

#include "Commands.h"

#pragma package(smart_init)

void __fastcall ThrowHardwareException(void);

//---------------------- Throw hardware exception: --------------------------

void __fastcall ThrowHardwareException(void)
{
  LPSTR LastError;
  SG653_GetLastError(LastError);
  AnsiString Msg = LastError;
  throw EHardwareException(Msg, 0);
}

//--------------------------- SetMode: --------------------------------------

void __fastcall Cmd_SetMode(int mode)
{
  if(!SG653_SetMode(mode))
   ThrowHardwareException();
}

//--------------------------- GetMode: --------------------------------------

void __fastcall Cmd_GetMode(int &mode)
{
  if(!SG653_GetMode(mode))
   ThrowHardwareException();
}

//---------------------------- SetPar: --------------------------------------

void __fastcall Cmd_SetPar(int ch, int par, int val)
{
  if(!SG653_SetPar(ch, par, val))
   ThrowHardwareException();
}

//---------------------------- GetPar: --------------------------------------

void __fastcall Cmd_GetPar(int ch, int par, int &val)
{
  if(!SG653_GetPar(ch, par, val))
   ThrowHardwareException();
}

//--------------------------- GetSelPar: ------------------------------------

void __fastcall Cmd_GetSelPar(int &ch, int &par, int &val)
{
  if(!SG653_GetSelPar(ch, par, val))
   ThrowHardwareException();
}

//---------------------------------------------------------------------------
