#ifndef CommandsH
#define CommandsH

#include <SyncObjs.hpp>

#include "sg653usb.h"

#define HI(x) ((x >> 8) & 0xFF)
#define LO(x) (x & 0xFF)

void __fastcall Cmd_SetMode(int mode);
void __fastcall Cmd_GetMode(int &mode);
void __fastcall Cmd_SetPar(int n, int ch, int par);
void __fastcall Cmd_GetPar(int n, int ch, int &par);
void __fastcall Cmd_GetSelPar(int &n, int &ch, int &par);

//------------------------ Hardware exception: ------------------------------

class EHardwareException : public Exception {
public:
  __fastcall EHardwareException(const AnsiString Msg) : Exception(Msg) {};
  __fastcall EHardwareException(const AnsiString Msg, int AHelpContext) :
	Exception(Msg, AHelpContext) {};
};

//---------------------------------------------------------------------------

#endif
